%global pypi_name jaraco.packaging
%global pkg_name   jaraco-packaging

Name:           python-%{pkg_name}
Version:        8.1.1
Release:        %mkrel 1
Summary:        Tools to supplement packaging Python releases
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/jaraco.packaging/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. Use after installing a package.show
A dist-utils command for reporting the attributes of a distribution, such as the
version or author name.

%package -n python3-jaraco
Summary: A Parent package for jaraco's parent dir and init file
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-jaraco}

%description -n python3-jaraco
A Parent package for jaraco's parent dir and init file.

%package -n     python3-%{pkg_name}
Summary:        Tools to supplement packaging Python releases
Group:          Development/Python
Requires:       python3-jaraco
Requires:       python3dist(rst.linker)
Requires:       python3dist(six) >= 1.4
Requires:       python3dist(setuptools)

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-setuptools_scm >= 1.15.0
BuildRequires:  python3dist(six) >= 1.4
BuildRequires:  python3dist(toml)

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
Tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. Use after installing a package.show
A dist-utils command for reporting the attributes of a distribution, such as the
version or author name.

%package -n python-%{pkg_name}-doc
Summary:        jaraco.packaging documentation
Group:          Development/Python
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(rst.linker)

%description -n python-%{pkg_name}-doc
Documentation for jaraco.packaging

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# Build documentation
PYTHONPATH=./ sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install


%check
%{__python3} setup.py test

%files -n python3-jaraco
%doc LICENSE
%doc README.rst
%{python3_sitelib}/jaraco
%exclude %{python3_sitelib}/jaraco/packaging

%files -n python3-%{pkg_name}
%doc LICENSE
%doc README.rst
%{_bindir}/dependency-tree
%{python3_sitelib}/jaraco/packaging
%{python3_sitelib}/jaraco.packaging-%{version}-py%{python3_version}.egg-info

%files -n python-%{pkg_name}-doc
%doc LICENSE
%doc html 


%changelog
* Sun Dec 13 2020 guillomovitch <guillomovitch> 8.1.1-1.mga8
+ Revision: 1656367
- new version 8.1.1

* Tue Nov 10 2020 guillomovitch <guillomovitch> 8.1.0-1.mga8
+ Revision: 1644294
- imported package python-jaraco-packaging

